<html version="2.0">
<head>
<title>LDAS Test</title>
</head>
<body>
<center>
<h1>LDAS Test</h1>
</center>
<p>
This page allows individual LDAS user commands to be submitted (by pressing the 
<b>SUBMIT</b> button) and response from the job
displayed in the bottom window. Each sub-page represents an LDAS command.<p>
<img src='cmonClient-testpanel.gif' width="800" height="700"><p><p>

<h2>Color Indicators of job status:</h2>
<ul>
<li><font color='blue'>Blue</font> color shows the actual ldas command submitted at the manager 
and a job number allocated.e.g.
<pre><font color='blue'>
ldas-dev,02-03-2004 16:51:47> SEND dataPipeline -subject { stochastic job for H2:LSC-AS_Q and L1:LSC-AS_Q } 
-dynlib libldasstochastic.so -filterparams (10,180428,0.0,0,0,0,0,360855,3840,40,0.25,3840,40,0.25,1,H,L,11)
-np 2 -multidimdatatarget frame -concatenate 1 -realtimeratio 0.9 -datacondtarget wrapper 
-datadistributor WRAPPER -outputformat { ilwd ascii } -database ldas_tst 
-framequery { { {} H {} 730522722-730523604 Adc(H2:LSC-AS_Q!resample!8!) } { {} L {} 730522722-730523604 
Adc(L1:LSC-AS_Q!resample!8!) } } -responsefiles { file:/ldas_outgoing/jobs/responsefiles/stochastic-resp1_H2:LSC-AS_Q.0-1024.0.25.ilwd,pass 
file:/ldas_outgoing/jobs/responsefiles/stochastic-resp2_L1:LSC-AS_Q.0-1024.0.25.ilwd,pass } 
-aliases { gw1 = H2\:LSC-AS_Q::ProcData; gw2 = L1\:LSC-AS_Q::ProcData; } -algorithms { z1 = value(gw1); clear(gw1); z2 = value(gw2); clear(gw2); 
z1 = slice(z1, 2058, 1804280, 1); z2 = slice(z2, 2058, 1804280, 1); z1s = slice(z1, 0, 1794048, 1); 
z2s = slice(z2, 0, 1794048, 1); psd1 = psd(z1s, 16384, _, 8192); output(psd1,_,_,,spectrum1); 
psd2 = psd(z2s, 16384, _, 8192); output(psd2,_,_,,spectrum2); output(z1,_,_,,data1); 
output(z2,_,_,,data2); } as LDAS-DEV20139204
</font></pre>
</li><p>

<li><font color='green'>Green</font> color is displayed when job has completed successfully.</li><p>
<pre><font color='green'>
ldas-dev,02-03-2004 16:53:19> dataPipeline stochastic.cmd completed OK. RECV:
Inserted 1 rows into table process
Inserted 14 rows into table process_params
Inserted 1 rows into table search_summary
Inserted 12 rows into table search_summvars
Inserted 28 rows into ldas_tst database, took 0.252045 secs.

Your results:
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_1-730522723-89.gwf
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_2-730522811-89.gwf
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_3-730522899-89.gwf
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_4-730522987-89.gwf
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_5-730523075-89.gwf
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_6-730523163-89.gwf
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_7-730523251-89.gwf
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_8-730523339-89.gwf
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_9-730523427-89.gwf
/ldas_outgoing/jobs/LDAS-DEV_2013/LDAS-DEV20139204/Z-P_LDAS_20139204_eventmonAPI_10-730523515-89.gwf

=========================================
'LDAS API'          'CLOCK TIME(seconds)'
=========================================
Wait Time(queue):                 5.41
eventmonAPI:                      3.65
metadataAPI:                      1.57
ligolwAPI:                        0.39
mpiAPI:                           3.31
datacondAPI:                      1.95
frameAPI:                        74.27
diskcacheAPI:                     0.97
managerAPI:                       0.57
-----------------------------------------
managerAPI(total):               86.67
=========================================

ldas-dev running LDAS version 0.9.94
ldas-dev running LDAS version 0.6.112
</font></pre>
<p>
<li><font color='red'>Red</font> color is displayed when the job has failed, was aborted or timed out.</li><p>
<pre><font color='red'>
ldas-cit,06-03-2003 10:22:57> stochastic.cmd failed. LDAS-CIT685397 results
jobid 'LDAS-CIT685397' killed at manager's request.

jobid 'LDAS-CIT685397' killed at manager's request.

=========================================
'LDAS API'          'CLOCK TIME(seconds)'
=========================================
Wait Time(queue):                 1.28
frameAPI:                       328.77
diskcacheAPI:                    11.20
managerAPI:                       0.38
-----------------------------------------
managerAPI(total):              340.36
=========================================

ldas-cit running LDAS version 0.6.111
</font></pre></li>
</ul>
<h2>Other options:</h2>
<ul>
<li>Repeat test for a selected number of minutes</li>
<p>If this option is checked by depressing the <b>Loop for xx minutes</b> check button and setting the number
of minutes, the same job will be submitted sequentially i.e. once a response is back,
the same job will be submitted again, until the time interval expires.<p>
<li>Change the test</li>
<p>You can edit the command contents to change the command options to generate
a new test and later restore the orignal command provided by pressing <b>RESTORE CMD</b>.<p>
<li>Clear out the job data</li>
<p>You can clear out the job data in the bottom window by clicking on the right mouse button
to popup the <b>CLEAR</b> button and press it. Right clicking in the same window away from the button will popdown
the <b>CLEAR</b> button.
<br><br>
</ul>

<h2>Test data Setup:</h2>
To successfully run all the tests in the test panel, you need to set up the following sets of test data:
<ul>
<li>Download the test data tarball
<a href='http://www.ldas-sw.ligo.caltech.edu/packages/LDASTest.tar.gz'>putStandAlone test files.</a><p>
Untar the files to your ldas platform under /ldas_outgoing/jobs 
        <pre><font color='brown'>
            cd /ldas_outgoing/jobs
            tar xvzf LDASTest.tar.gz 
            LDASTest/
            LDASTest/TrigMgr20001208205115000006010000.xml
            LDASTest/txn2.ilwd
            LDASTest/putStandAlone/
            LDASTest/putStandAlone/BOX-III185203_wrapperdata.ilwd
            LDASTest/putStandAlone/email.BOX-III185203
            LDASTest/putStandAlone/output_1.ilwd
            LDASTest/putStandAlone/process_1.ilwd
            LDASTest/putStandAlone/process_2.ilwd
        </font></pre></li>

<li>Mount the frame files used (this data will be updated with LDAS development testing ) </li><p>
Currently the frame data used is in one hour of triple coincident E9 full frames
for both LHO and LLO for testing mulitple site DSOs. The GPS time range is 727549920 - 727553535.
<p>
<li>Stage the data used by putMetaData command by first running the stageData command
<pre><font color='blue'>
ldas-dev,06-03-2003 13:53:58> stageData.cmd SEND stageData: LDAS-DEV13895940</font>
<font color='green'>
ldas-dev,06-03-2003 13:54:32> stageData.cmd completed OK. RECV: LDAS-DEV13895940 stageData test
Your results:
TrigMgr20001208205115000006010000.xml
can be found at:
http://131.215.115.248/ldas_outgoing/jobs/dmt

=========================================
'LDAS API'          'CLOCK TIME(seconds)'
=========================================
Wait Time(queue):                46.52
managerAPI:                       6.04
-----------------------------------------
managerAPI(total):                6.08
=========================================

ldas-dev running LDAS version 0.6.112
</font></pre>
<li>
<p>When submitting putMetaData or putStandAlone tests, the database is first cleared of
the data inserted so that the tests would succeed instead of resulting in
a duplicate. During the clearing, the putMetaData or putStandAlone tab is disabled
until the clearing is finished. For a lot of entries in the database this clearing
could take several minutes at least. </li><p>
</ul>
</body>
</html>
